Bug 56218 - mkinitrd fails during anaconda install of kernel
mkinitrd fails during anaconda install of kernel
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: mkinitrd (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-13 18:44 EST by gofish
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-13 18:44:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description gofish 2001-11-13 18:44:44 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (Windows NT 5.0; U)

Description of problem:
Inspection of /tmp/install.log after ftp network build with latest Errata applied to the RPMS directory reveals
Installing kernel.
awk: cmd. line:2: fatal: cannot open file `/etc/fstab' for reading (No such file or directory)
awk: cmd. line:2: fatal: cannot open file `/etc/fstab' for reading (No such file or directory)

I traced the awk commands back to lines 271 and 293 of /sbin/mkinitrd from mkinitrd-3.2.6-1.rpm.  "/etc/fstab" does not appear to exist at 
the time the kernel is installed during the Anaconda build.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Setup RH7.1 network install server with latest kernel errata (kernel-2.4.6-12) included
2.run a network ftp build
3.view /tmp/install.log after build and initial reboot
	

Actual Results:  <Snipped> output of /tmp/install.log

Installing ipchains.
Installing kernel.
awk: cmd. line:2: fatal: cannot open file `/etc/fstab' for reading (No such file or directory)
awk: cmd. line:2: fatal: cannot open file `/etc/fstab' for reading (No such file or directory)
Installing devfsd


Expected Results:  
Installing ipchains.
Installing kernel.
Installing devfsd.

Additional info:

Based on my limited knowledge of awk it appears that this would only affect those whose root device is a on a loopback or they have the 
root filesystem type as a loadable module
Comment 1 Erik Troan 2002-05-21 19:19:05 EDT
this was fixed for 7.2

Note You need to log in before you can comment on or make changes to this bug.